/*
 * Amaze - QT downloader for the Amazon MP3 store
 * Copyright (c) 2010-2011 Robert Keevil
 *
 * This program is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PARSE_H
#define PARSE_H

#include <QApplication>
#include <QObject>
#include <QFile>
#include <QXmlStreamReader>
#include "common.h"
#include "amaze.h"

class Parse : public QObject
{
Q_OBJECT
public:
    Parse(Amaze *parent);
    bool open(QFile *target);

signals:
    void parsed();
    void add_log(LOG_LEVEL, QString);

public slots:

private:
    QXmlStreamReader *reader;
    void readtrack();
    Amaze *amaze;
    bool decrypt(QByteArray input, QString &output);
};

#endif // PARSE_H
